! sample program about stm data
program main
implicit none
! UTC_N   : UTC Nominal Date/Time yyyy/mm/dd HH:MM
! UTC_A   : UTC Actual Date/Time yyyy/mm/dd HH:MM
! CSE     : CSE Identifier
! RS_I    : Refarence Site Identifier
! St_I    : Station Identifier
! Lat     : Latitude  decimal degrees. South is negative
! Lon     : Longitude decimal degrees. West is negative
! Elev    : Elevation meters
! Ssr_h   : Sensor Height (m)
! S_tmp   : Soil Temperature (Celsius)
! S_moist : Soil Moisture (%)
! F_*     : Flag about each data
integer i
real Lat,Lon,Elev,Ssr_h,S_tmp,S_moist
character UTC_N*16,UTC_A*16,CSE*10,RS_I*15,St_I*15
character F_S_tmp*1,F_S_moist*1
open(1,file='../MRI2/CEOP_Tsukuba_MRI_20070101-20070630.stm')
!open(2,file='TESTMRI.stm')
do i=1,217200
read(1,'(2(a16,1x),a10,2(1x,a15),1x,f10.5,1x,f11.5,1x,f7.2, &
& 1x,f7.2,2(1x,f8.2,1x,a1))') UTC_N,UTC_A,CSE,RS_I,St_I, &
& Lat,Lon,Elev,Ssr_h,S_tmp,F_S_tmp,S_moist,F_S_moist
!write(2,'(2(a16,1x),a10,2(1x,a15),1x,f10.5,1x,f11.5,1x,f7.2, &
!& 1x,f7.2,2(1x,f8.2,1x,a1))') UTC_N,UTC_A,CSE,RS_I,St_I, &
!& Lat,Lon,Elev,Ssr_h,S_tmp,F_S_tmp,S_moist,F_S_moist
end do
close(1)
!close(2)
stop
end

